﻿$ErrorActionPreference = 'Stop'

$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
    packageName    = $env:ChocolateyPackageName
    unzipLocation  = $toolsDir
    url            = 'https://github.com//gohugoio/hugo/releases/download/v0.74.3/hugo_0.74.3_Windows-32bit.zip'
    url64          = 'https://github.com//gohugoio/hugo/releases/download/v0.74.3/hugo_0.74.3_Windows-64bit.zip'

    checksum       = 'f6dd1b6a5eb422db3cd6d12f63c02d3d15f0eb0924d7681875be53d7a488438b'
    checksumType   = 'SHA256'
    checksum64     = 'dc63493ffea9c65c10222678a8472192e8dbc64dc6b50f2513059a946e73706c'
    checksumType64 = 'SHA256'
}

Install-ChocolateyZipPackage @packageArgs
